<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwConfigs: Alert Config Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwAlertConfig.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to set up the alert configuration for one or
        many data point elements. If the panel is used for just one data point
        element at a time, the panel shows the
        current configuration of the alert config when loaded.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When configuring the alert for a data point element
          (or elements) you should first check the &quot;Configure&quot; check
          box. Then the alert options will appear.</p>
        <p>For <strong>analog</strong> style alerts, you should first select the number of ranges
          you wish to have in your alert handling. Then for each range you should
          enter a description text in the left hand column and choose an alert
          class from the drop down lists in the right hand column. The alert
          classes define the severity of the alert and come in acknowledgeable
          (ending with Ack) and non-acknowledgeable (ending with Nack) types.
          Between each range you need to choose a limit value. The limit values
          should
          be
          entered in descending order as you go down the panel (see the <a href="#figure1">figure</a>          below).</p>
        <p>It is essential that one range has no alert class. This is the valid
          (good) range. The alert classes should increase in severity as you
          move further away from the valid range. The severity order is Warning
          -&gt; Error -&gt; Fatal (lowest to highest). So, for example, if the range
          above the valid range has an Error class (e.g. fwErrorAck) then the
          range above that can not have a Warning class (e.g. fwWarningAck).
          An example of a valid analog alert configuration is shown <a href="#figure1">below</a>.</p>
        <p>Absolute limit values allow optionally to set <strong>hysteresis</strong>. Upper hysteresis value must be always positive. Lower hysteresis value must be always negative. Leave this field empty or zero if hysteresis is not wanted.</p>
        <p>In addition to setting absolute limit values, it is also possible to set limit values relative to the current value of the data point element. This option is available from the drop down list in the top right of the panel. </p>
        <p>It is possible to specify limits which are the current value + or - a fixed number, or + or - a percentage of the current value. For example you could set the limits on a dpe whose value is 50 to +5 and -5 which would equate to actual limits of 45 and 55, or using the percentage mode you could specify +10% and -10% which in this case would give the same result. </p>
        <p>For <strong>digital</strong> style alert, you need to enter a text for each state of
          the boolean value (0 and 1) in the left hand column and choose an alert
          class for the bad state from the combo box in the right hand column.
          An alert class must be chosen - it can not be left blank. Then, by
          using the radio buttons in the middle column, you indicate whether
          0 or 1 is the valid (good) state. An example of a valid digital alert
          configuration is shown <a href="#figure2">below</a>.</p>
         <p>For <strong>discrete</strong>, select the type &quot;Discrete values match&quot;. Each range has a value to match. The value can be a single number (i.e. &quot;3&quot;), 
		 a set of numbers (i.e. &quot;3,4,7&quot;) and/or a range (i.e. &quot;3-6&quot;). The first range is always the good range and corresponds to any value not included in the other ranges.</p>
       <p>Finally, if you want the alert configuration to be active, make
          sure that the &quot;Alert Handling ON&quot; checkbox is checked. If
          you uncheck this, then the alert configuration will be stored but
          the
          alert handling will
          not be active. Then press OK or Apply to save the configuration.</p>
         <p>The alert <strong>class</strong> is divided into two groups: Local and Global. If necessary, the following convention can be used. Local can be alarms belonging to a local system (i.e. detector channels).
		 Global can be alarms belonging to common infrastructure (i.e. primary electricity for the experiment). The available class elements are the following:
		 <table border="1">
<tr><td><strong>Local</strong></td><td><strong>Global</strong></td></tr>
<tr><td>_fwWarningAck</td><td>_fwWarningAck_50</td></tr>
<tr><td>_fwWarningNack</td><td>_fwWarningNack_50</td></tr>
<tr><td>_fwErrorAck</td><td>_fwErrorAck_70</td></tr>
<tr><td>_fwErrorNack</td><td>_fwErrorNack_70</td></tr>
<tr><td>_fwFatalAck</td><td>_fwFatalAck_90</td></tr>
<tr><td>_fwFatalNack</td><td>_fwFatalNack_90</td></tr>
</table> 
		 </p>		  
         <p>To delete the alert configuration on the data point element(s),
          uncheck the &quot;Configure&quot; check box and then press either OK
          or Apply.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><p>This panel is only for configuring analog and digital
          style alerts. Summary alerts are configured with another framework
          panel. Integer, unsigned and float data point elements support analog
          alerts and boolean
          data point elements
          support
          digital alerts.</p>
        <p>If you load the panel for a collection of data point elements, the
          panel will not allow you to configure them if they contain a mixture
          of elements that require digital and analog alerts. You can press the
          &quot;Select Elements&quot; buttons to choose which data point elements to configure
          from the list that was passed to the panel.<br>
        </p></td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<a name="figure1"></a>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwAlertConfig-Analog.jpg" alt="Panel screenshot" width="646" height="442" style="width: 646px; height: 442px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<a name="figure2"></a>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwAlertConfig-Digital.jpg" alt="Panel screenshot" width="646" height="442" style="width: 646px; height: 442px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpe</td>
      <td><p>The name of the data point element(s) to configure.</p>
        <p>If you wish to use the panel for multiple data point elements, you
          should pass a list in the same format as the PVSS dyn_string, i.e.dpe1
          | dpe2 | dpe3<br>
        </p></td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$bHierarchyBrowser</td>
      <td><p>Controls the position and visibility of the OK, Apply and Cancel
          buttons.</p>
      <p>TRUE - Shows Apply button only.<br>
      FALSE - Shows OK, Apply and Cancel button.</p></td>
      <td>Required<br>      </td>
    </tr>
    <tr>
      <td>$sSummaryDpe</td>
      <td>The data point element that has a summary alert in which you wish to add the newly configured alert. If not needed, this should be set to &quot;&quot;. If used, $sSummaryDpe can be either an absolute data point element name, or a relative path for the data point on which the alert config is being configured. For example, to add a reference to the configured alert in the root element of the same data point, this $ parameter should be set to &quot;.&quot;. </td>
      <td>Required</td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
